crossplatform.ru

Здравствуйте, гость ( Вход | Регистрация )

 
Ответить в данную темуНачать новую тему
> Qt3 free + PostgeSQL, нужны инструкции
vinnitu
  опции профиля:
сообщение 26.3.2008, 11:28
Сообщение #1


Студент
*

Группа: Новичок
Сообщений: 15
Регистрация: 26.3.2008
Пользователь №: 132

Спасибо сказали: 0 раз(а)




Репутация:   0  


Hi, All.

Поставили задачу написать модуль для работы с PostgreSQL.

Не знаю как этому вопросу подойти, пытался почитать доки по-поводу, но толком и не понял что
требуется.

Использую Qt3 некоммерческую версию (выбор не мой, прошу не комментировать)

В частности непонятны следующие моменты:

- нужно пересобирать Qt? есил да то как?
- где брать драйвер(правильно называ?) для postge? какие он версии поддерживаются (с учётом Qt3)?
- есть ли уже готовая сборка скажем под windows (чтобы не терять время)?
- примеры работы с этой базой?

Спасибо.
Перейти в начало страницы
 
Быстрая цитата+Цитировать сообщение
ViGOur
  опции профиля:
сообщение 26.3.2008, 11:59
Сообщение #2


Мастер
******

Группа: Модератор
Сообщений: 3296
Регистрация: 9.10.2007
Из: Москва
Пользователь №: 4

Спасибо сказали: 231 раз(а)




Репутация:   40  


Это читал: QPSQL7?

Цитата
- нужно пересобирать Qt? есил да то как?
Не обязательно, на сколько я знаю достаточно собрать плагин, как это сделать почитай по ссылке указанной мной выше.
Цитата
- где брать драйвер(правильно называ?) для postge? какие он версии поддерживаются (с учётом Qt3)?
Описано выше по ссылке.
Цитата
- есть ли уже готовая сборка скажем под windows (чтобы не терять время)?
Проще сделать свою. :)
Цитата
- примеры работы с этой базой?
Что именно интересует? Работа со всеми БД в Qt однотипна...
Перейти в начало страницы
 
Быстрая цитата+Цитировать сообщение
vinnitu
  опции профиля:
сообщение 26.3.2008, 12:50
Сообщение #3


Студент
*

Группа: Новичок
Сообщений: 15
Регистрация: 26.3.2008
Пользователь №: 132

Спасибо сказали: 0 раз(а)




Репутация:   0  


сейчас уже есть PostgreSQL 8.3.1, означает ли это что QPSQL7 - не будет с ней работать?
Перейти в начало страницы
 
Быстрая цитата+Цитировать сообщение
Litkevich Yuriy
  опции профиля:
сообщение 26.3.2008, 12:53
Сообщение #4


разработчик РЭА
*******

Группа: Сомодератор
Сообщений: 9669
Регистрация: 9.1.2008
Из: Тюмень
Пользователь №: 64

Спасибо сказали: 807 раз(а)




Репутация:   94  


т.к. сейчас уже есть Qt4 ;) , то очень даже может не работать.
Перейти в начало страницы
 
Быстрая цитата+Цитировать сообщение
balbes
  опции профиля:
сообщение 26.3.2008, 17:23
Сообщение #5


Студент
*

Группа: Участник
Сообщений: 62
Регистрация: 11.10.2007
Пользователь №: 10

Спасибо сказали: 0 раз(а)




Репутация:   0  


По данной тебе ссылке написано:
Цитата
The QPSQL7 driver supports both version 6 and 7 of PostgreSQL
Значит только 6 и 7 версии. :)
Перейти в начало страницы
 
Быстрая цитата+Цитировать сообщение
Tmikola
  опции профиля:
сообщение 23.7.2008, 12:14
Сообщение #6


Новичок


Группа: Новичок
Сообщений: 4
Регистрация: 23.7.2008
Пользователь №: 242

Спасибо сказали: 0 раз(а)




Репутация:   0  


Работает через ODBC без проблемм
Могу дать ссылку на работающий драйвер ODBC для PostgreSQL.
Проверен и работает с PostgreSQL 8.3

Сообщение отредактировал Tmikola - 23.7.2008, 12:19
Перейти в начало страницы
 
Быстрая цитата+Цитировать сообщение
Litkevich Yuriy
  опции профиля:
сообщение 23.7.2008, 12:19
Сообщение #7


разработчик РЭА
*******

Группа: Сомодератор
Сообщений: 9669
Регистрация: 9.1.2008
Из: Тюмень
Пользователь №: 64

Спасибо сказали: 807 раз(а)




Репутация:   94  


его-то родной драйвер интерисовал.
Перейти в начало страницы
 
Быстрая цитата+Цитировать сообщение
Tmikola
  опции профиля:
сообщение 23.7.2008, 12:27
Сообщение #8


Новичок


Группа: Новичок
Сообщений: 4
Регистрация: 23.7.2008
Пользователь №: 242

Спасибо сказали: 0 раз(а)




Репутация:   0  


Если нельзя родной, то лучше - ODBC, чем ничего.
http://rapidshare.com/files/131804702/SetupODBC_PSQL.rar
Перейти в начало страницы
 
Быстрая цитата+Цитировать сообщение
Litkevich Yuriy
  опции профиля:
сообщение 23.7.2008, 12:40
Сообщение #9


разработчик РЭА
*******

Группа: Сомодератор
Сообщений: 9669
Регистрация: 9.1.2008
Из: Тюмень
Пользователь №: 64

Спасибо сказали: 807 раз(а)




Репутация:   94  


наверно актуальней качать с офсайта, чем с рапиды.
Перейти в начало страницы
 
Быстрая цитата+Цитировать сообщение
Tmikola
  опции профиля:
сообщение 23.7.2008, 12:55
Сообщение #10


Новичок


Группа: Новичок
Сообщений: 4
Регистрация: 23.7.2008
Пользователь №: 242

Спасибо сказали: 0 раз(а)




Репутация:   0  


Наверное, хотя я работаю с этим. Без проблем.
Плагин ODBC драйвера строится легко.
База физически м.б. где угодно...

QT3.3.8+VC6+PostgreSQL8.3.1

Сообщение отредактировал Tmikola - 23.7.2008, 13:34
Перейти в начало страницы
 
Быстрая цитата+Цитировать сообщение

Быстрый ответОтветить в данную темуНачать новую тему
Теги
Нет тегов для показа


1 чел. читают эту тему (гостей: 1, скрытых пользователей: 0)
Пользователей: 0




RSS Текстовая версия Сейчас: 6.7.2022, 9:41